=== debian/changelog ===
dnprogs (2.65) unstable; urgency=low

  * QA upload.
  * Makefile.common: Manually enable DNETUSE_DEVPTS, autodetection
    was broken by multiarch. Thanks to Adam Pigg for the report.
    (Closes: #867326)
  * Add lsb-base dependencies to dnet-common and dnet-progs.
  * Add Brazilian Portuguese debconf templates translation
    from Adriano Rafael Gomes. (Closes: #824330)

 -- Adrian Bunk <bunk@debian.org>  Thu, 06 Jul 2017 22:42:10 +0300
