## dnprogs 2.65build1

=== debian/changelog ===
dnprogs (2.65build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:14:28 +0000
