=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: debconf(>=0.5.00) | debconf-2.0
-Depends: debianutils(>=1.13), kmod, ${misc:Depends}
+Depends: debianutils(>=1.13), kmod, ${misc:Depends}, lsb-base
 Conflicts: dnprogs
 Suggests: iproute2
 Description: Base package for Linux DECnet
@@ -26,7 +26,7 @@
 Package: dnet-progs
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: dnet-common(>=${source:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: dnet-common(>=${source:Version}), libdnet(>=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Description: DECnet user programs and daemons
  These tools are the application layer interface for DECnet on Linux systems.
  They provide file/terminal access facilities between OpenVMS and Linux and
